#include "DeadMansSwitch.h"
#include "Net/UnrealNetwork.h"

class AGenerator;

void UDeadMansSwitch::OnRep_BlockedGenerator(AGenerator* previouslyBlockedGenerator)
{

}

float UDeadMansSwitch::GetActivationDurationAtLevel() const
{
	return 0.0f;
}

void UDeadMansSwitch::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDeadMansSwitch, _blockedGenerator);
	DOREPLIFETIME(UDeadMansSwitch, _isActivated);
}

UDeadMansSwitch::UDeadMansSwitch()
{
	this->_generatorBlockingDuration = 0.000000;
	this->_isActivated = false;
}
